package org.loom.annotation.processor;

import org.loom.mapping.Event;

public abstract class AbstractAnnotationProcessor implements AnnotationProcessor {
	
	public abstract void process(Event event);
	
	/**
	 * The default return value of any AnnotationProcessor is 1000
	 */
	public int getOrder() {
		return 1000;
	}
	
	public int compareTo(AnnotationProcessor o) {
		int v = getOrder() - o.getOrder();
		return v != 0? v : hashCode() - o.hashCode();
	}
	
}
