package org.loom.resources;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.ResourceLoader;
import org.springframework.core.io.support.ResourcePatternResolver;

public class AbstractWebResourceBundleFactory {
	
	/** resolve Resource locations */
	private ResourcePatternResolver resolver;
	
	/** the encoding used for resources, default UTF-8 */
	private String charset = "UTF-8";


	@Autowired
	public void setResourceLoader(ResourceLoader resourceLoader) {
		this.resolver = (ResourcePatternResolver) resourceLoader;
	}

}
