package org.loom.resources;

import java.util.Collection;

import org.springframework.core.io.Resource;

/**
 * Compiles a list of {@link Resource} and returns a list of {@link CompiledWebResource}
 * @author Nacho
 *
 */
public interface WebResourceCompiler {

	CompilationResult compile(String webResourceBundleName, Collection<Resource> resources);
	
	public void setDevelopment(boolean development);

}
